complete -c steamguard -n "__fish_use_subcommand" -s u -l username -d 'Steam username, case-sensitive.' -r
complete -c steamguard -n "__fish_use_subcommand" -l password -d 'Steam account password. You really shouldn\'t use this if you can avoid it.' -r
complete -c steamguard -n "__fish_use_subcommand" -s m -l mafiles-path -d 'Specify which folder your maFiles are in. This should be a path to a folder that contains manifest.json. Default: ~/.config/steamguard-cli/maFiles' -r
complete -c steamguard -n "__fish_use_subcommand" -s p -l passkey -d 'Specify your encryption passkey.' -r
complete -c steamguard -n "__fish_use_subcommand" -s v -l verbosity -d 'Set the log level. Be warned, trace is capable of printing sensitive data.' -r -f -a "{error	,warn	,info	,debug	,trace	}"
complete -c steamguard -n "__fish_use_subcommand" -l http-proxy -d 'Use a proxy for HTTP requests.' -r
complete -c steamguard -n "__fish_use_subcommand" -l proxy-credentials -d 'Credentials to use for proxy authentication in the format username:password.' -r
complete -c steamguard -n "__fish_use_subcommand" -s h -l help -d 'Print help information'
complete -c steamguard -n "__fish_use_subcommand" -s V -l version -d 'Print version information'
complete -c steamguard -n "__fish_use_subcommand" -s a -l all -d 'Select all accounts in the manifest.'
complete -c steamguard -n "__fish_use_subcommand" -l no-update-check -d 'Disable checking for updates.'
complete -c steamguard -n "__fish_use_subcommand" -l danger-accept-invalid-certs -d 'Accept invalid TLS certificates.'
complete -c steamguard -n "__fish_use_subcommand" -l offline -d 'Assume the computer\'s time is correct. Don\'t ask Steam for the time when generating codes.'
complete -c steamguard -n "__fish_use_subcommand" -f -a "debug" -d 'Debug stuff, not useful for most users.'
complete -c steamguard -n "__fish_use_subcommand" -f -a "completion" -d 'Generate shell completions'
complete -c steamguard -n "__fish_use_subcommand" -f -a "setup" -d 'Set up a new account with steamguard-cli'
complete -c steamguard -n "__fish_use_subcommand" -f -a "import" -d 'Import an account with steamguard already set up. It must not be encrypted. If you haven\'t used steamguard-cli before, you probably don\'t need to use this command.'
complete -c steamguard -n "__fish_use_subcommand" -f -a "confirm" -d 'Interactive interface for steam mobile confirmations'
complete -c steamguard -n "__fish_use_subcommand" -f -a "remove" -d 'Remove the authenticator from an account.'
complete -c steamguard -n "__fish_use_subcommand" -f -a "encrypt" -d 'Encrypt all maFiles'
complete -c steamguard -n "__fish_use_subcommand" -f -a "decrypt" -d 'Decrypt all maFiles'
complete -c steamguard -n "__fish_use_subcommand" -f -a "code" -d 'Generate 2FA codes'
complete -c steamguard -n "__fish_use_subcommand" -f -a "qr" -d 'Generate QR codes. This *will* print sensitive data to stdout.'
complete -c steamguard -n "__fish_use_subcommand" -f -a "qr-login" -d 'Log in to Steam on another device using the QR code that it\'s displaying.'
complete -c steamguard -n "__fish_use_subcommand" -f -a "help" -d 'Print this message or the help of the given subcommand(s)'
complete -c steamguard -n "__fish_seen_subcommand_from debug" -l print-stripped-json -d 'Read the specified file, parse it, strip values, and print the result.' -r
complete -c steamguard -n "__fish_seen_subcommand_from debug" -l demo-prompt -d 'Show a text prompt.'
complete -c steamguard -n "__fish_seen_subcommand_from debug" -l demo-pause -d 'Show a "press any key" prompt.'
complete -c steamguard -n "__fish_seen_subcommand_from debug" -l demo-prompt-char -d 'Show a character prompt.'
complete -c steamguard -n "__fish_seen_subcommand_from debug" -l demo-conf-menu -d 'Show an example confirmation menu using dummy data.'
complete -c steamguard -n "__fish_seen_subcommand_from debug" -s h -l help -d 'Print help information'
complete -c steamguard -n "__fish_seen_subcommand_from completion" -s s -l shell -d 'The shell to generate completions for.' -r -f -a "{bash	,elvish	,fish	,powershell	,zsh	}"
complete -c steamguard -n "__fish_seen_subcommand_from completion" -s h -l help -d 'Print help information'
complete -c steamguard -n "__fish_seen_subcommand_from setup" -s h -l help -d 'Print help information'
complete -c steamguard -n "__fish_seen_subcommand_from import" -l files -d 'Paths to one or more maFiles, eg. "./gaben.maFile"' -r
complete -c steamguard -n "__fish_seen_subcommand_from import" -s h -l help -d 'Print help information'
complete -c steamguard -n "__fish_seen_subcommand_from confirm" -s a -l accept-all -d 'Accept all open mobile confirmations. Does not open interactive interface.'
complete -c steamguard -n "__fish_seen_subcommand_from confirm" -s f -l fail-fast -d 'If submitting a confirmation response fails, exit immediately.'
complete -c steamguard -n "__fish_seen_subcommand_from confirm" -s h -l help -d 'Print help information'
complete -c steamguard -n "__fish_seen_subcommand_from remove" -s h -l help -d 'Print help information'
complete -c steamguard -n "__fish_seen_subcommand_from encrypt" -s h -l help -d 'Print help information'
complete -c steamguard -n "__fish_seen_subcommand_from decrypt" -s h -l help -d 'Print help information'
complete -c steamguard -n "__fish_seen_subcommand_from code" -l offline -d 'Assume the computer\'s time is correct. Don\'t ask Steam for the time when generating codes.'
complete -c steamguard -n "__fish_seen_subcommand_from code" -s h -l help -d 'Print help information'
complete -c steamguard -n "__fish_seen_subcommand_from qr" -l ascii -d 'Force using ASCII chars to generate QR codes. Useful for terminals that don\'t support unicode.'
complete -c steamguard -n "__fish_seen_subcommand_from qr" -s h -l help -d 'Print help information'
complete -c steamguard -n "__fish_seen_subcommand_from qr-login" -l url -d 'The URL that would normally open in the Steam app. This is the URL that the QR code is displaying. It should start with "https://s.team/..."' -r
complete -c steamguard -n "__fish_seen_subcommand_from qr-login" -s h -l help -d 'Print help information'
